org.eclipse.actf.visualization.engines.blind

## Class BlindVizResourceUtil

- java.lang.Object
- - org.eclipse.actf.visualization.engines.blind.BlindVizResourceUtil

    public class BlindVizResourceUtil
    extends Object

Utility class for managing blind usability visualization resources.

### Constructor Summary

Constructors
Constructor and Description
`BlindVizResourceUtil()`

### Method Summary

Methods
`static File` `createTempFile(String prefix, String suffix)` Create temporary file under the state location of this plugin
`static ImageDescriptor` `getImageDescriptor(String imageFilePath)` Get `ImageDescriptor` from this plugin
`static File` `getTempDirectory()` Get temporary directory under the state location of this plugin
`static void` `saveImages(String path)` Save images used in blind visualization into target path
`static void` `saveScripts(String path)` Save script files used in blind visualization into target path

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BlindVizResourceUtil

    public BlindVizResourceUtil()

### Method Detail

#### saveImages

    public static void saveImages(String path)

Save images used in blind visualization into target path

Parameters:
  `path` - target path

#### saveScripts

    public static void saveScripts(String path)

Save script files used in blind visualization into target path

Parameters:
  `path` - target path

#### getImageDescriptor

    public static ImageDescriptor getImageDescriptor(String imageFilePath)

Get `ImageDescriptor` from this plugin

Parameters:
  `imageFilePath` - file path of target image
Returns:
  `ImageDescriptor`

#### createTempFile

    public static File createTempFile(String prefix,
                      String suffix)
                               throws Exception

Create temporary file under the state location of this plugin

Parameters:
  `prefix` - prefix of temporary file
  `suffix` - suffix of temporary file
Returns:
  temporary `File`
Throws:
  `Exception`
See Also:
  `Plugin.getStateLocation()`

#### getTempDirectory

    public static File getTempDirectory()

Get temporary directory under the state location of this plugin

Returns:
  temporary directory as `File`
See Also:
  `Plugin.getStateLocation()`